Search tenant jobs

Returns a list of all tenant jobs.

This operation returns a list of all jobs run by the tenant across entitlements and Platform APIs. To learn more about managing and tracking jobs, see Managing Platform Jobs.

This operation supports response filtering. Valid query parameters include: endedAt, entitlement, jobId, name, platformOperationType, startedAt, status, type, userName.

All jobs are archived after 30 days. Use the includeArchivedJobs query parameter to view older jobs.

Filter Jobs by Job Type

The type query parameter supports filtering jobs by job type.

The response returns the specified job type only:

https://<HOST>/platform/tenantdata/v1/jobs?filter=type=DOWNLOAD_EXPOSURE_VARIATION`

Valid type query parameter values include: DLM, MRI_IMPORT, and GEOHAZ. For a complete list of jobs, see Platform Jobs.

Filter Jobs by API

The platformOperationType query parameter filters jobs by platform API.

Use this query parameter to return the job types that can be created using a specific API. For example, a value of export returns jobs created using the Export API regardless of job type, e.g. DOWNLOAD_EDM, DOWNLOAD_RESULTS, and DOWNLOAD_EXPOSURE_VARIATION jobs.

https://<HOST>/platform/tenantdata/v1/jobs?filter=platformOperationType=export`

Valid platformOperationType query parameter values include: accumulation, batch , currencyconversion, export , geohaz, grouping , import , model, riskdata, rollup, variation

The platformOperationType query parameter supports the IN list parameter enabling you to list jobs created by multiple APIs:

https://<HOST>/platform/tenantdata/v1/jobs?filter=platformOperationType IN (import,export)`

Filter Jobs by Entitlement

Intelligent Risk Platform tenants may license multiple applications, which are identified in the Platform APIs by the entitlement.

Valid entitlement values include: RI-DATAADMIN, RI-DATAVAULT, RI-EXPOSUREIQ, RI-RISKMODELER, RI-TREATYIQ, RI-UNDERWRITEIQ

Use this query parameter if you want to view jobs created by clients with a specific entitlement, e.g. the RI-UNDERWRITEIQ entitlement.

https://<HOST>/platform/tenantdata/v1/jobs?filter=entitlement=RI-UNDERWRITEIQ AND platformOperationType=export`

The same job can be created by clients with different entitlements. For example, clients with the RI-EXPOSUREIQ, RI-RISKMODELER, RI-TREATYIQ, or RI-UNDERWRITEIQ entitlements can all use the Export API to export data.

Query Params
string

Query string to select response data based on property values.

Depending on the property, supports comparison operators, list operators, and logical operators.

PropertyTypeComparisonList
endedAt YYY-MM-DD=
entitlementStringIN
jobIdNumber=IN
nameString=
platformOperationTypeString=IN
resourceGroupIdString=IN
startedAtYYY-MM-DD=
statusString=
typeString=IN
userNameString=

All properties support the AND logical operator, e.g. jobId="100" AND status="FINISHED". To learn more, see Response Filtering.

string

Comma-delimited list of properties. Sort order defined by one of ASC (ascending) or DESC (descending).

Supported properties: jobId, name, status, submittedAt, type. See Response Pagination.

int32
1 to 100
Defaults to 10

Number of records returned per page. See Response Pagination.

int32
Defaults to 0

Number of page displaying the returned records.

boolean
Defaults to false

Include archived jobs in the response. Jobs are automatically archived after 30 days. If true and the archived data is not yet ready, returns 202 with an empty object. Retry the request to get the full response with 200.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json